eth_protocolVersion

Returns the protocol version from the latest block header visible to the node.

eth_protocolVersion returns the version field from the latest block header visible to the node, encoded as a hexadecimal string. This is the block protocol version, not the version of the java-tron software running on the node.

Parameters
None

Example

Request

curl -X POST 'https://api.trongrid.io/jsonrpc' --data '{"jsonrpc":"2.0","method":"eth_protocolVersion","params":[],"id":64}'

Response

{"jsonrpc":"2.0","id":64,"result":"0x26"}

In this Mainnet example, block-header version 38 is returned as 0x26. The value may change after a network upgrade.